std::independent_bits_engine::operator()(3)

NAME
std::independent_bits_engine::operator() - std::independent_bits_engine::operator()

Synopsis
   result_type operator()(); (since C++11)
   Generates a random value. The state of the underlying engine is advanced one or more
   times.

Parameters
   (none)

Return value
   A pseudo-random number in [min(), max()].

Exceptions
   Throws nothing.

See also
   discard advances the adaptor's state by a specified amount
   (C++11) (public member function)